Subject: [TR] TR4 Horns

From: "James Henningsen" <[email-masked]>
Date: Sat, 4 Jan 2014 08:09:07 -0500

List:

My saved emails were wiped off my computer when I tried to clean up the
folders.  User error yes.  In any event, I have been trying to locate a pair
of good used original Lucas horns for my 62 TR4.  A couple folks responded
that they had some.  Could you please contact me directly if you have some
available that work.   Also, does anyone have Marv's contact info in
Alabama?

Thanks,

Jim Henningsen

Ocala FL

62 TR4 x2

75 TR6

** [email-masked] **

Archive: http://www.team.net/archive